Bug 89471 - (NET SK98) Syskonnect SK9843 not found when loading sk98lin module
Summary: (NET SK98) Syskonnect SK9843 not found when loading sk98lin module
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 9
Hardware: athlon Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Garzik
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-23 08:21 UTC by krt lastname
Modified: 2013-07-03 02:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description krt lastname 2003-04-23 08:21:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.4a)
Gecko/20030331 Phoenix/0.5

Description of problem:
After performing a new install of RH9 on a dual athlon mp2000 box (asus a7m266d
motherboard, with 64bit pci), RH9 cannot find the Syskonnect SK9843 SX card that
I have.  This card shows up in lspci and when I cat /proc/pci

This card works fine in RH7.3 on the same box with the same hardware in the same
configuration.


Here is the RH7.3 output:
eth1: SysKonnect SK-NET Gigabit Ethernet Adapter SK-9843 SX
      PrefPort:A  RlmtMode:Check Link State
eth1: network connection up using port A
    speed:           1000
    autonegotiation: yes
    duplex mode:     full
    flowctrl:        remote send


When I do a modprobe with RH9 I get the usual "cannot find hardware, you may
need to specify IRQ's etc." message.  I do not have a dump of the error message
or the lspci output from the RH9 box, sorry.



Version-Release number of selected component (if applicable):
stock rh9 kernel (2.4.20-6)

How reproducible:
Always

Steps to Reproduce:
1. boot box
2. try to modprobe sk98lin
3. watch it fail
    

Actual Results:  it failed!

Expected Results:  it should have given me a nice eth0 interface to play with

Additional info:

this box also has a 3ware controller on its 64 bit pci bus.  Again, the same
-exact- hardware configuration works with RH7.3 fine.

Comment 1 Bugzilla owner 2004-09-30 15:40:49 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.